%define upstream_name    IO-Socket-IP
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A drop-in replacement for C<IO::Socket::INET> supporting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Socket)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Socket) >= 1.970.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides a protocol-independent way to use IPv4 and IPv6
sockets, as a drop-in replacement for the IO::Socket::INET manpage. Most
constructor arguments and methods are provided in a backward-compatible
way. For a list of known differences, see the 'IO::Socket::INET'
INCOMPATIBILITES section below.

It uses the 'getaddrinfo(3)' function to convert hostnames and service
names or port numbers into sets of possible addresses to connect to or
listen on. This allows it to work for IPv6 where the system supports it,
while still falling back to IPv4-only on systems which don't.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Sep 16 2020 tv <tv> 0.410.0-1.mga8
+ Revision: 1626825
- update to 0.41

* Wed Feb 12 2020 umeabot <umeabot> 0.390.0-3.mga8
+ Revision: 1504780
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.390.0-2.mga7
+ Revision: 1284301
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.390.0-1.mga7
+ Revision: 1134197
- update to 0.39

* Sun Jun 19 2016 pterjan <pterjan> 0.370.0-3.mga6
+ Revision: 1028779
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.370.0-2.mga6
+ Revision: 966257
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.370.0-1.mga6
+ Revision: 843209
- update to 0.37

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 742740
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.310.0-3.mga5
+ Revision: 732303
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-2.mga5
+ Revision: 685078
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 0.310.0-1.mga5
+ Revision: 652910
- update to 0.31

* Mon Jul 07 2014 sander85 <sander85> 0.300.0-1.mga5
+ Revision: 650365
- update to 0.30

* Tue Feb 25 2014 jquelin <jquelin> 0.290.0-1.mga5
+ Revision: 596959
- update to 0.29

* Mon Feb 17 2014 jquelin <jquelin> 0.280.0-1.mga5
+ Revision: 593617
- update to 0.28

* Tue Feb 04 2014 shlomif <shlomif> 0.270.0-1.mga5
+ Revision: 581189
- New version 0.27

* Sun Oct 20 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 536720
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 0.240.0-1.mga4
+ Revision: 485458
- update to 0.24

* Wed Sep 11 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 477707
- update to 0.23

* Tue Aug 13 2013 shlomif <shlomif> 0.220.0-1.mga4
+ Revision: 466141
- Skip the tests due to a networking SNAFU.
+ sander85 <sander85>
- update to 0.22

* Wed May 29 2013 shlomif <shlomif> 0.210.0-1.mga4
+ Revision: 432108
- update to 0.21

* Thu Dec 13 2012 shlomif <shlomif> 0.180.0-1.mga3
+ Revision: 330226
- update to 0.18

* Wed Aug 29 2012 kharec <kharec> 0.170.0-1.mga3
+ Revision: 285325
- update to 0.17

* Tue Jun 26 2012 kharec <kharec> 0.160.0-1.mga3
+ Revision: 263973
- update to 0.16

* Thu Jun 21 2012 kharec <kharec> 0.150.0-1.mga3
+ Revision: 262463
- update to 0.15

* Mon Jun 18 2012 kharec <kharec> 0.140.0-1.mga3
+ Revision: 261757
- update to 0.14

* Sun Jun 17 2012 kharec <kharec> 0.130.0-1.mga3
+ Revision: 261253
- update to 0.13

* Sat Jun 16 2012 kharec <kharec> 0.120.0-1.mga3
+ Revision: 260970
- update to 0.12

* Mon Jun 04 2012 kharec <kharec> 0.110.0-1.mga3
+ Revision: 253981
- update to 0.11

* Wed Jan 25 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 200892
- update to 0.08

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163695
- imported package perl-IO-Socket-IP

